System.Web 2.0.0.0 System.Enum

The enumeration provides values for specifying whether the view-state information in a object is encrypted. The value can be set only in the @ Page directive or in the pages section of the configuration file.

Specifies whether view-state information is encrypted.

- Field
  System.Web.UI.ViewStateEncryptionMode

  The view-state information is always encrypted.

  2.0.0.0
- Field
  System.Web.UI.ViewStateEncryptionMode

  The view-state information is encrypted if a control requests encryption by calling the method. This is the default.

  2.0.0.0
- Field
  System.Web.UI.ViewStateEncryptionMode

  The view-state information is never encrypted, even if a control requests it.

  2.0.0.0